#pragma once

#include "../interface.h"

class CAuctionFrame;
extern CAuctionFrame*			g_pAuctionFrame;

class CAuctionFrame : public CInterfaceBase
{
public:
	CAuctionFrame(CInterface* object);
	virtual ~CAuctionFrame();

	virtual	void				RegisterFunc();
	virtual	void				Update(float elapsedTime);
	virtual	void				Pickup();
	virtual	void				PutDown(int index);
	virtual	void				OpenAC();
	virtual	void				CloseAC();
	virtual	void				SetAuctionItemIndex(int index);
	virtual	int					GetAuctionItemIndex()					{ return m_auctionItemIndex; }

protected:
	float						m_lastTime;
	int							m_auctionItemIndex;
};